CVE-2020-15657

MEDIUM

Description

Firefox could be made to load attacker-supplied DLL files from the installation directory. This required an attacker that is already capable of placing files in the installation directory. *Note: This issue only affected Windows operating systems. Other operating systems are unaffected.*. This vulnerability affects Firefox ESR < 78.1, Firefox < 79, and Thunderbird < 78.1.

References

http://lists.opensuse.org/opensuse-security-announce/2020-08/msg00025.html

https://bugzilla.mozilla.org/show_bug.cgi?id=1644954

https://www.mozilla.org/security/advisories/mfsa2020-30/

https://www.mozilla.org/security/advisories/mfsa2020-32/

https://www.mozilla.org/security/advisories/mfsa2020-33/

Details

Source: MITRE

Published: 2020-08-10

Updated: 2020-08-14

Type: CWE-427

Risk Information

CVSS v2.0

Base Score: 6.9

Vector: AV:L/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 3.4

Severity: MEDIUM

CVSS v3.0

Base Score: 7.8

Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH